<label [for]="title" [class.active]="isOpen">
    {{ multiple ? title : selectedItems ? selectedItems : title }}
</label>
<!-- <app-copy>items: {{ item.image }}</app-copy> -->
<ng-select
    [items]="items"
    [multiple]="multiple"
    [closeOnSelect]="multiple ? false : true"
    [searchable]="false"
    [clearOnBackspace]="false"
    [labelForId]="title"
    [clearable]="false"
    [markFirst]="false"
    dropdownPosition="bottom"
    (open)="onOpen()"
    (close)="onClose()"
    (change)="change.emit($event)"
    bindLabel="label"
    [bindValue]="bindValue"
    [(ngModel)]="selectedItems"
>
    <ng-template ng-label-tmp></ng-template>
    <ng-template ng-option-tmp let-item="item">
        <div class="option-template">
            <app-image
                aria-hidden="true"
                *ngIf="item.icon"
                crop="thumb"
                aspect_ratio="1:1"
                gravity="face"
                publicId="{{ item.icon }}"
                width="90"
                alt=""
            ></app-image>
            <span class="label">{{ item.label }}</span>
            <span class="checkbox" *ngIf="multiple">
                <app-svg
                    svgStyles="svg--black"
                    aria="check-mark"
                    title="Check Mark"
                    desc="Selects an Option"
                    svgId="#check-mark"
                ></app-svg>
            </span>
        </div>
    </ng-template>
</ng-select>
